package net.northking.cctp.common.jpa.interceptor;

/**
 * JPA Repository 拦截器接口
 *
 * @author xiusong.xie
 * @since 2.4
 */
public interface JpaInterceptor
{
  void beforeInsert(Object entity);

  void afterInsert(Object entity);

  void beforeUpdate(Object entity);

  void afterUpdate(Object entity);

}
